org.kie.internal.builder.conf

## Enum AlphaNetworkCompilerOption

- java.lang.Object
- - java.lang.Enum<AlphaNetworkCompilerOption>
  - - org.kie.internal.builder.conf.AlphaNetworkCompilerOption

- All Implemented Interfaces:
    Serializable, Comparable<AlphaNetworkCompilerOption>, org.kie.api.conf.Option, KnowledgeBuilderOption, SingleValueKnowledgeBuilderOption

      public enum AlphaNetworkCompilerOption
      extends Enum<AlphaNetworkCompilerOption>
      implements SingleValueKnowledgeBuilderOption

  An Enum for AlphaNetworkCompilerOption option. drools.alphaNetworkCompiler = <disabled|inmemory|load> Disabled: Do not generate compiled alpha network InMemory: Generate compiled alpha network after creation of the kiebase and compile it in-memory Load : Assume compiled alpha network is already compiled in the kjar, load it from the classpath DEFAULT = disabled

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED`
    `INMEMORY`
    `LOAD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlphaNetworkCompilerOption` | `determineAlphaNetworkCompilerMode(String mode)`
    `String` | `getMode()`
    `String` | `getPropertyName()`
    `static AlphaNetworkCompilerOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AlphaNetworkCompilerOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final AlphaNetworkCompilerOption DISABLED

    - #### INMEMORY

          public static final AlphaNetworkCompilerOption INMEMORY

    - #### LOAD

          public static final AlphaNetworkCompilerOption LOAD

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static AlphaNetworkCompilerOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlphaNetworkCompilerOption c : AlphaNetworkCompilerOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlphaNetworkCompilerOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMode

          public String getMode()

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### determineAlphaNetworkCompilerMode

          public static AlphaNetworkCompilerOption determineAlphaNetworkCompilerMode(String mode)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.